Summary: Gnome user file sharing
Name: gnome-user-share
Version: 0.2
Release: 2mdk
License: GPL
Group: System/Servers
URL: http://www.gnome.org
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch: gnome-user-share-0.2-apache2.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: howl >= 0.9.6
Requires: apache2-mod_dav
BuildRequires: apache2
BuildRequires: libGConf2-devel howl-devel
BuildRequires: X11-devel

%description
gnome-user-share is a small package that binds together various free
software projects to bring easy to use user-level file sharing to the
masses.

The program is meant to run in the background when the user is logged
in, and when file sharing is enabled a webdav server is started that
shares the $HOME/Public folder. The share is then published to all
computers on the local network using mDNS/rendezvous, so that it shows
up in the Network location in Gnome.

The dav server used is apache, so you need that installed. Howl is
used for mDNS support, so you need to have that installed and
mDNSResolver running.

%prep
%setup -q
%patch -p1
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std


%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="desktop_gnome_file_sharing.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%preun
if [ "$1" = "0" ] ; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="desktop_gnome_file_sharing.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
  done
fi

%files
%defattr(-,root,root,-)
%doc README ChangeLog
%{_bindir}/*
%{_datadir}/gnome-user-share
%{_sysconfdir}/gconf/schemas/*

%changelog
* Fri Sep 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix buildrequires

* Thu Sep  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- initial package

* Thu Sep  9 2004 Alexander Larsson <alexl@redhat.com> - 0.2-1
- New version

* Wed Sep  8 2004 Alexander Larsson <alexl@redhat.com> - 0.1-1
- Initial Build

